<?php
 
/**
 * Implementation of hook_configure().
 *
 * @todo convert in t() functions with parameters
 */

function website_screenshot_configure() {
  $lightbox_ispresent = module_exists('lightbox2') || module_exists('jLightbox');
  if ($lightbox_ispresent) {
    drupal_set_message('Lightbox is Installed with '. l('Lightbox2', 'http://drupal.org/project/lightbox2') .' or '. l('jQuery Lightbox', 'http://drupal.org/project/jlightbox') .' modules. You can use this functionality.', 'status', FALSE);
  }
  else {drupal_set_message('Lightbox is not present.<br />To use javascript zoom feature you should download and install '. l('Lightbox2', 'http://drupal.org/project/lightbox2') .' or '. l('jQuery Lightbox', 'http://drupal.org/project/jlightbox') .' module.', 'warning');}

  $imagecache_presets = imagecache_presets();
  foreach($imagecache_presets as $imagecache_preset){
    $presets[$imagecache_preset['presetname']] = $imagecache_preset['presetname'];
  }

  $form = array();
  $form['website_screenshot'] = array(
    '#type' => 'fieldset',
    '#title' => t('Configuration'),
    '#weight' => -10,
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );

  $form['website_screenshot']['website_screenshot_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Image Width'),
    '#required' => TRUE,
    '#default_value' => variable_get('website_screenshot_width', "300"),
    '#description' => t('Insert the width size of screenshot request.')
  );

  $form['website_screenshot']['website_screenshot_imagecache_preset'] = array(
    '#type' => 'select',
    '#title' => t('Imagecache Preset'),
    '#required' => TRUE,
    '#options' => $presets, 
    '#default_value' => variable_get('website_screenshot_imagecache_preset', 'website_screenshot'),
    '#description' => t('Select your imagecache profile.')
  );

  $form['website_screenshot']['website_screenshot_engine'] = array(
    '#type' => 'select',
    '#title' => t('Screenshot Engine'),
    '#required' => TRUE,
    '#options' => array('bluga' => 'bluga', 'thumbalizr' => 'thumbalizr'), 
    '#default_value' => variable_get('website_screenshot_engine', 'thumbalizr'),
    '#description' => t('Select your Screenshot service provider.')
  );

  return system_settings_form($form);
}


//function website_screenshot_form_alter($form, $form_state, 'website_screenshot'){
function website_screenshot_form_alter(&$form, $form_state, $form_id) {
  if ($form_id == 'website_screenshot_configure') {
    $form['website_screenshot_general_thumbalizr'] = array(
      '#type' => 'fieldset',
      '#title' => t('Thumbalizr configuration'),
      '#weight' => -9,
      '#collapsible' => FALSE,
      '#collapsed' => FALSE,
    );
    $form['website_screenshot_general_thumbalizr']['website_screenshot_thumbalizr_key'] = array(
      '#type' => 'textfield',
      '#title' => t('Thumbalizr Key'),
      '#default_value' => variable_get('website_screenshot_thumbalizr_key', ""),
      '#description' => t('Thumbalizr Key to ask big screeshot')
    );

    $form['website_screenshot_general_bluga'] = array(
      '#type' => 'fieldset',
      '#title' => t('Bluga.net configuration'),
      '#weight' => -9,
      '#collapsible' => FALSE,
      '#collapsed' => FALSE,
    );
    $form['website_screenshot_general_bluga']['website_screenshot_bluga_key'] = array(
      '#type' => 'textfield',
      '#title' => t('Bluga Key'),
      '#default_value' => variable_get('website_screenshot_bluga_key', ""),
      '#description' => t('Bluga Key to ask screeshot')
    );
    $form['website_screenshot_general_bluga']['website_screenshot_bluga_user_id'] = array(
      '#type' => 'textfield',
      '#title' => t('User ID'),
      '#default_value' => variable_get('website_screenshot_bluga_user_id', ""),
      '#description' => t('Bluga User ID to ask screeshot')
    );
  }
}